package com.dev.swms.server.model.fee;

import java.util.Date;
import java.util.Set;
import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Structure;
import com.dev.swms.server.model.base.Warehouse;
/**
 * 对账单
 * @author 44700
 *
 */
public class BillFee extends Entity{

	private Structure customer;//所属客户
	private Date billDateStart;//对账开始日期
	private Date billDateEnd;//对账结束日期
	private String code;//对账单代码
	private String name;//对账单名称
	private String creatPeople;//创建人
	private Date creatDate;//创建时间	
	private String billPeople;//对账人
	private String description;//备注
	private Set<Fee> fee;//费用集合
	private ApplyBill applyBill;//开票对象
	
	
	public ApplyBill getApplyBill() {
		return applyBill;
	}


	public void setApplyBill(ApplyBill applyBill) {
		this.applyBill = applyBill;
	}


	public Set<Fee> getFee() {
		return fee;
	}


	public void setFee(Set<Fee> fee) {
		this.fee = fee;
	}


	private double reciveFee;//应收金额
	private double payFee;//应付金额
//	private Set<Fee> details;//对账单明细
	private double totalFee;//账单金额
	private String month;//对账月份
	private String status;//状态
	private Date auditDate;//审核日期
	private String auditor ;//审核人
	private double auditAmount;//审核金额
	private String invoiceNo;//发票号
	private String operator;//操作人
	private Date operatorDate;//操作日期
	private String payOrReceive ;//应收应付标识
	private double cashFee;//核销金额
	private Date cashTime;//核销时间
	private double ticketMat;//票内代垫
	private double outTicketMat;//票外代垫
	private double turnover;//营业额
	private double applicationFee;//申请开票金额
	private double invoicedPrice;//已开票金额
	private double ticketMatPrice;//票内代垫已开票
	private double outTicketMatPrice ;//票外代垫已开票
	private double turnoverAdjust=0;//调整营业额
	private double ticketMatAdjust=0;//票内代垫调整
	private double outTicketAdjust=0;//票外代垫调整
	private double turnoverPrice;//营业额已开票

	/***所属仓库*/
	private Warehouse warehouse; 
	/**** 是否添加申请单***/
	private boolean  bisAddApply=false;
	/**** 委外营业额***/
	private double payTurnover;
	
	
    /**业务员*/
	private  String salesMan;

	

	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public String getDescription() {
		return description;
	}


	public void setDescription(String description) {
		this.description = description;
	}


	public Structure getCustomer() {
		return customer;
	}


	public void setCustomer(Structure customer) {
		this.customer = customer;
	}


	public Date getBillDateStart() {
		return billDateStart;
	}


	public void setBillDateStart(Date billDateStart) {
		this.billDateStart = billDateStart;
	}


	public Date getBillDateEnd() {
		return billDateEnd;
	}


	public void setBillDateEnd(Date billDateEnd) {
		this.billDateEnd = billDateEnd;
	}


	public String getCode() {
		return code;
	}


	public void setCode(String code) {
		this.code = code;
	}


	public String getCreatPeople() {
		return creatPeople;
	}


	public void setCreatPeople(String creatPeople) {
		this.creatPeople = creatPeople;
	}


	public Date getCreatDate() {
		return creatDate;
	}


	public void setCreatDate(Date creatDate) {
		this.creatDate = creatDate;
	}


	public String getBillPeople() {
		return billPeople;
	}


	public void setBillPeople(String billPeople) {
		this.billPeople = billPeople;
	}
	
	
	
}
